> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-fo-options-order.md).

# Place FO Options Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceFOOptionsOrder`

**QUERY PARAMETERS**

| Request Parameter | Description     | Mandatory |
| ----------------- | --------------- | --------- |
| broker            | Broker code     | Yes       |
| strategy          | Strategy        | Yes       |
| spot\_symbol      | Spot symbol     | Yes       |
| expiry\_date      | Expiry date     | Yes       |
| action            | Action          | Yes       |
| product           | Product Type    | Yes       |
| pricetype         | Price Type      | Yes       |
| quantity          | Quantity        | Yes       |
| price             | Price           | Yes       |
| option\_type      | Option type     | Yes       |
| strike\_int       | Strike Interval | Yes       |
| offset            | Offset          | No        |
| trigger\_price    | Trigger Price   | No        |
| splitorder        | split order     | No        |
| split\_quantity   | split quantity  | No        |

<br>

{% code title="# Here is a curl example" %}

```html
-X POST https://amapi.algomojo.com/v1/PlaceFOOptionsOrder
```

{% endcode %}

{% code title="Request example :" %}

```
 {
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
         {
         "broker":"UP",
         "strategy":"Test Strategy",
         "spot_symbol":"NIFTY",
         "expiry_date":"22DEC",
         "action":"BUY",
         "product":"NRML",
         "pricetype":"MARKET",
         "quantity":"50",
         "price":"0",
         "option_type":"CE",
         "strike_int":"50",
         "offset":"-2",
         "trigger_price":"0",
         "splitorder":"NO",
         "split_quantity":"50"
     }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 {
     "status": "success",
     "data": {
         "broker": "UP",
         "symbol": "NIFTY22DEC18600CE",
         "orderid": "221204000000826"
     }
 }
```

{% endcode %}
